### Method

# GIRepository InterfaceInfo find_vfunc

since: 2.80

#### Declaration

    GIVFuncInfo*
    gi_interface_info_find_vfunc (
      GIInterfaceInfo* info,
      const char* name
    )

#### Description

Locate a virtual function slot with name `name`.

See the documentation for `gi_object_info_find_vfunc()` for more information on virtuals.

Available since: 2.80

#### Parameters

`name`

  Type: `const char*`

  The name of a virtual function to find.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GIVFuncInfo`

The `GIVFuncInfo`, or `NULL` if none found. Free it with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.